/*
 * mknod(2) char device
 */

#include <errno.h>
#include <stdio.h>
#include <sys/stat.h>
#include <sys/sysmacros.h>
#include <unistd.h>

int main(int argc, char **argv)
{
	char path[256];
	snprintf(path, sizeof path, "%s/t090_cdev", argv[1]);
	errno = 0;
	mknod(path, S_IFCHR | 0600, makedev(1, 3));
	return errno;
}
